defmodule Pandoc.MixProject do
  use Mix.Project

  @version "0.2.0"
  @source_url "https://webdevcat.me/git/pandoc/"

  def project do
    [
      app: :pandoc,
      version: @version,
      elixir: "~> 1.14",
      deps: deps(),
      description: "File-watcher and Mix task to convert Markdown files to HTML",
      package: [
        links: %{
          "pandoc" => "https://pandoc.org/"
        },
        licenses: ["MIT"]
      ],
      source_url: @source_url
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger],
      mod: {Pandoc.Application, []}
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:file_system, "~> 1.0"},
      {:ex_doc, ">= 0.0.0", only: :dev, runtime: false}
    ]
  end
end
